IPSW-MACHO-SIGN(1)

NAME
ipsw-macho-sign - Codesign a MachO

SYNOPSIS
ipsw macho sign [flags]

DESCRIPTION
Codesign a MachO

OPTIONS
-a, --ad-hoc[=false]
    ad-hoc codesign

-c, --cert=""
    p12 codesign with cert

-e, --ent=""
    entitlements.plist file

-d, --ent-der=""
    entitlements asn1/der file

-h, --help[=false]
    help for sign

-i, --id=""
    sign with identifier

--insecure[=false]
    do not verify ssl certs

-o, --output=""
    Output codesigned file

-f, --overwrite[=false]
    Overwrite file

--proxy=""
    HTTP/HTTPS proxy

-p, --pw=""
    p12 cert password

-t, --team=""
    sign with team id

--timeserver="http://timestamp.apple.com/ts01"
    timeserver URL

--ts[=false]
    timestamp signature

OPTIONS INHERITED FROM PARENT COMMANDS
--color[=false]
    colorize output

--config=""
    config file (default is $HOME/.config/ipsw/config.yaml)

--no-color[=false]
    disable colorize output

-V, --verbose[=false]
    verbose output

EXAMPLE
      # Ad-hoc codesign a MachO w/ entitlements
      ❯ ipsw macho sign --id com.apple.ls --ad-hoc --ent entitlements.plist <MACHO>

SEE ALSO
ipsw-macho(1)

HISTORY
17-Dec-2024 Auto generated by spf13/cobra